petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdaptSetStepLimits

Set minimum and maximum step sizes to be considered by the controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetStepLimits(TSAdapt adapt,PetscReal hmin,PetscReal hmax)

Logically Collective Many br

### Input Arguments

| adapt | - time step adaptivity context, usually gotten with TSGetAdapt() Many br
| hmin | - minimum time step Many br
| hmax | - maximum time step Many br

### Options Database Keys

| -ts_adapt_dt_min | - minimum time step Many br
| -ts_adapt_dt_max | - maximum time step Many br

Many br

### See Also

TSAdapt

Level:intermediate
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html